#include <msp/graphics/window.h>
#include "keyboard.h"
#include "keys.h"

namespace Msp {
namespace Input {

Keyboard::Keyboard(Graphics::Window &w):
	window(w)
{
	name = "Keyboard";

	buttons.resize(N_KEYS_, false);

	window.signal_input_event.connect(sigc::mem_fun(this, &Keyboard::input_event));
}

Keyboard::~Keyboard()
{ }

} // namespace Input
} // namespace Msp
